# 3.	Connexion de GMC

La phase de connexion constitue la première étape du processus de chargement des données cadastrales. Elle permet d&rsquo;indiquer un espace de travail dans lequel les données seront stockées, et permet l&rsquo;initialisation de la base de données.

![](/images/GMC_Manuel-utilisateur/03.001.Interface_connexion.png)

*Interface de connexion*

## 3.1	Création d&rsquo;un espace de travail

Un espace de travail est un répertoire dans lequel GMC va stocker l&rsquo;ensemble des données (Edigeo et Majic), les logs et les archives. La déclaration d&rsquo;un espace de travail dans GMC permet la création de trois sous-répertoires : data, archive et log dans lesquels GMC stockera l&rsquo;ensemble des données exploitées.

![](/images/GMC_Manuel-utilisateur/03.002.Structure.png)

*Structure de l&rsquo;espace de travail*

### 3.1.1	Répertoire data

Le répertoire Data contient les données Majic et Edigéo devant être traitées. Avant la phase de préparation, ces deux répertoires sont vides.

### 3.1.2	Répertoire archive

Le répertoire Archive contient les fichiers et répertoires déplacés suite au chargement d&rsquo;un jeu de données. Son arborescence est la même que celui du répertoire Data.

### 3.1.3	Répertoire log

Le répertoire log est composé des sous-répertoires erreur, log et historique qui stockent les fichiers de logs générés à chaque opération. Le fichier history.log du répertoire historique trace toutes les opérations effectuées dans GMC.

## 3.2	Connexion à la base de données
Une fois l&rsquo;espace de travail sélectionné, spécifier la base de données à laquelle se connecter. GMC peut se connecter aux bases de données Oracle et PostgreSQL. Le format Geodatabase est également disponible depuis la version 2020.

![](/images/icones/check.png) La version minimale requise de PostgreSQL est la 9.3

Sélectionner ensuite le modèle de données cible : modèle vmap (ou anciennement le modèle Veremap). Le bouton &rsquo;Définir une nouvelle connexion&rsquo; permet de définir les paramètres de connexion à une base de données pas encore connue par GMC, et de nommer les schémas Majic et Cadastre. Le système de coordonnées cible (c&rsquo;est-à-dire des données chargées en base) est défini via cette interface.  

![](/images/GMC_Manuel-utilisateur/03.003.FenetreConnexion.png)

*Fenêtre de connexion à la base de données*

Une fois les paramètres de connexion renseignés, saisir son mot de passe puis cliquer sur le bouton  ![](/images/GMC_Manuel-utilisateur/03.003b.BoutonConnexion.png).

La connexion à la base de données génère le fichier TestConnexion.log accessible via le menu Log de l&rsquo;application et stocké dans le répertoire .\log\log de l&rsquo;espace de travail.
Une fois la connexion établie, initialiser la base de données.

![](/images/icones/warning.png) Le symbole "€" ne peut pas être utilisé dans le nom d&rsquo;utilisateur ou le mot de passe pour la connexion à la base de données.

## 3.3 Initialisation de la base de données

La phase d&rsquo;initialisation de la base de données est obligatoire puisqu&rsquo;elle génère la structure intégrale de la base de données.  
Modèle de données vmap :

*	Schéma vmap
*	Schéma vitis
*	Schéma majic « s_majic »
*	Schéma cadastre  « s_cadastre »
*	Les tables
*	Les index
*	Les contraintes d&rsquo;intégrité

Modèle de données veremap :
*	schéma majic
*	schéma cadastre
*	Les tables
*	Les index
*	Les contraintes d&rsquo;intégrité

![](/images/icones/check.png)	La phase d&rsquo;initialisation nécessite des droits de SuperUtilisateur de la base de données.  

![](/images/icones/check.png)	Configuration particulière pour PostgresSQL : lorsque GMC est exécuté sur un serveur, il peut arriver que FME dépasse le nombre de requêtes maximales accepté par le serveur PostgreSQL. Le traitement de chargement termine alors en erreur et l&rsquo;erreur suivante est générée dans les fichiers de log.

```
"ERROR |Error connecting to PostgreSQL database(host=&rsquo;***&rsquo;, port=&rsquo;****&rsquo;, dbname=&rsquo;***&rsquo;, user=&rsquo;***&rsquo;, password=&rsquo;***&rsquo;): &rsquo;FATAL:  sorry, too many clients already".
```

Il est possible de pallier ce problème en modifiant le fichier postgresql.conf situé dans le dossier data du répertoire d&rsquo;installation de PostgreSQL.

Il faut alors modifier la ligne max_connections = 100 par max_connections = 300.
La modification de cette ligne entraine la modification des connexions simultanées au serveur PostgreSQL. Il ne faut pas dépasser la limite de 1000.
Le service Postgres doit ensuite être relancé.

Selon le modèle de données choisi, le lancement de l&rsquo;initialisation de la base de données diffère :

### 3.3.1 Initialisation de la base de données avec le modèle de données vMap

Une fois la connexion à la base de données établie, un message s&rsquo;affiche invitant à l&rsquo;initialisation de la base :

![](/images/GMC_Manuel-utilisateur/03.006.InitialisationBDD2.png)

*Initialisation de la base de données*

L&rsquo;initialisation de la base de données génère un fichier de log spécifique InitDatabase.log, accessible via le menu Log de l&rsquo;application et stocké dans le répertoire .\log\log de l&rsquo;espace de travail.

### 3.3.2 Initialisation de la base de données avec le modèle de données Veremap

Une fois le test de connexion réussi, cliquer sur le bouton ![](/images/GMC_Manuel-utilisateur/03.004.InitialisationBDD.png).

L&rsquo;initialisation de la base de données génère un fichier de log spécifique InitDataBase.log, accessible via le menu Log de l&rsquo;application et stocké dans le répertoire .\log\log de l&rsquo;espace de travail.

![](/images/icones/check.png)	Pour que l&rsquo;initialisation fonctionne, la base de données doit être spatialisée (extension Postgis).

![](/images/icones/check.png)	Par défaut les deux schémas Majic et Cadastre sont initialisés. Il est toutefois possible de ne sélectionner qu&rsquo;un seul schéma à initialiser en le sélectionnant dans la fenêtre suivante :

![](/images/GMC_Manuel-utilisateur/03.005.InitialisationSchemas.png)

*Initialisation des schémas du modèle Veremap*

![](/images/icones/check.png)	Exceptions Oracle : s&rsquo;assurer d&rsquo;avoir les exceptions Oracle à jour lors de l&rsquo;installation de FME. Le script de création de table se réfère au fichier Oracle.db devant être mis à jour.
